import React from 'react'
import styled, { keyframes } from 'styled-components'

import $ from 'jquery'
// Imports

// Assets

// Styling
import '../core/css/icomoon.scss'
//
import config from '../local/js/config'

const fadeInLeft = keyframes`
  0% {
     opacity: 0;
     transform: translateX(-70px);
  }
  100% {
     opacity: 1;
     transform: translateX(0);
  }
 `

const fadeInRight = keyframes`
  0% {
     opacity: 0;
     transform: translateX(100px);
  }
  100% {
     opacity: 1;
     transform: translateX(0);
  }
 `

const Dialog = styled.div`
  border: none;
  width: 100%;
  height: auto;
  background-color: ${config.SecondaryColor} !important;
  display: inline-block;
  position: relative;
  padding:0px !important;
  .seta-prev{
    width: 6vh;
    height: 6vh;
    position: absolute;
    top:calc(50% - 6vh/2);
    left: 1%;
    border-radius: 50%;
    overflow: hidden;
    cursor: pointer;
    transition: all 0.5s ease;
    span{
      width: 100%;
      font-size: 6vh !important;
      color: white;
      background-color: ${config.SecondaryColor};
    
    }
  }
  .caixa-dialogo-slider .ref{
    color:#fff !important;
  }
  .seta-next{
    z-index: 1;
    width: 6vh;
    height: 6vh;
    position: absolute;
    top:calc(50% - 6vh/2);
    right: 1%;
    border-radius: 50%;
    overflow: hidden;
    cursor: pointer;
    transition: all 0.5s ease;
    span{
      width: 100%;
      font-size: 6vh !important;
      color: white;
      background-color: ${config.SecondaryColor};
    }
  }

  .seta-block{
    cursor: default;
    span{
      opacity: 0.5;
    }
  }

  .cx-txt-sld-active{
    display: block !important;
    
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    
  }
  .active-right{
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    animation-name: ${fadeInRight};
    -webkit-animation-name:${fadeInRight};
  }
  .active-left{
    -webkit-animation-duration: 0.8s;
    animation-duration: 0.8s;
    animation-name: ${fadeInLeft};
    -webkit-animation-name:${fadeInLeft};
  }
  .caixa-texto-slider-txt{
    -webkit-border-radius:1vh 0px 1vh 1vh;
    -moz-border-radius:1vh 0px 1vh 1vh;
    border-radius:1vh 0px 1vh 1vh;
    padding: 2vh;
    display: none;
    min-height: 10vh;
    margin-left: 8vh;
    margin-top: 1vh;
    height: auto;
    background-color: #ffffff00;
    position: relative;
    width: 82.6%;
    margin-bottom: -2vh; 
    color:white;
    
    p{
      overflow: hidden;
    }

    @media screen and (max-width: 100vh){ 
      width: 73%;
      margin-left: calc(50% - 73%/2);
    }

    @media screen and (min-width: 100.01vh){
      &:after {
        content: ' ';
        position: absolute;
        width: 0;
        height: 0;
        left: auto;
        right: -1.4vh;
        top: 0;
        bottom: auto;
        border: vh solid;
        border-color: white transparent transparent transparent;
      }
    }
  }
    
  }
`

const StyledDiv = styled.div`

`

// Component
class CaixaTextoSlider extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    let dialogText = []

    // Fills the images array with the given ones or the default one
    if (!this.props.DialogText) {
      for (let i = 0; i < this.props.DialogContent.length; i++) {
      }
    } else {
      dialogText = this.props.DialogText
    }
    this.state = {
      DialogContent: this.props.DialogContent,
      DialogText: dialogText
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {
    var dlg_sld_txts = 0
    $('.caixa-texto-slider-txt').each(function () {
      dlg_sld_txts = dlg_sld_txts + 1
    })
    $('#cx-txt-sld-txt1').addClass('cx-txt-sld-active')
    $('.seta-prev').addClass('seta-block')
    if (dlg_sld_txts <= 1) {
      $('.seta-next').addClass('seta-block')
    }
    $('.seta-prev, .seta-next').click(function () {
      setTimeout(() => { $('.seta-prev, .seta-next').css('top', ($('.caixa-texto-slider').outerHeight() - $('.seta-prev').height()) / 2) }, 200)
      if (!$(this).hasClass('seta-block')) {
        var curId = parseInt($('.cx-txt-sld-active').attr('id').split('cx-txt-sld-txt')[1])
        if ($(this).hasClass('seta-next')) {
          if (curId + 1 == dlg_sld_txts) {
            $('.seta-next').addClass('seta-block')
          }
          $('.seta-prev').removeClass('seta-block')
          $('.cx-txt-sld-active').removeClass('cx-txt-sld-active active-right active-left')
          $('#cx-txt-sld-txt' + (curId + 1)).addClass('cx-txt-sld-active active-right')
          
        }
        if ($(this).hasClass('seta-prev')) {
          if (curId - 1 == 1) {
            $('.seta-prev').addClass('seta-block')
          }
          $('.seta-next').removeClass('seta-block')
          $('.cx-txt-sld-active').removeClass('cx-txt-sld-active active-right active-left')
          $('#cx-txt-sld-txt' + (curId - 1)).addClass('cx-txt-sld-active active-left')
         
        }
      }
    })
    $('.caixa-texto-slider-img').css('width', $('.caixa-texto-slider').height())
   
  }

  render () {
    return (
    // Content
      <StyledDiv className='grid-row caixa caixa-slider-texto'>

        <Dialog className='caixa-texto-slider right'>

          <div className='seta-prev'><span className='icon-circle-left' /></div>
          <div className='seta-next'><span className='icon-circle-right' /></div>

          {this.state.DialogContent.map((value, index) => {
            return <div className='caixa-texto-slider-txt' key={'caixaslidertexto' + index} id={'cx-txt-sld-txt' + (index + 1)}><p>{value}</p></div>
          })}

          <ul className='selec' />
        </Dialog>
      </StyledDiv>
    )
  }
}
export default CaixaTextoSlider
