import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import CaixaAbasVertical from '../components/CaixaAbasVertical'
import CaixaCascata from '../components/CaixaCascata'

// Styling
const StyledDiv = styled.div`
  
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Vírus Varicela-Zóster - VZV</h2>
        <div className='page'>

          <p><u><strong>Curso clínico e manifestações bucais</strong></u></p>

          <p><strong>Clique</strong> nas abas abaixo e saiba mais aspectos sobre as manifestações clínicas do VZV<Ref Id="1"/><sup>,</sup><Ref Id="2"/>:</p>

          <CaixaAbasVertical AbasContent={['As lesões são extremamente pruriginosas e surgem primeiro em face e tronco para depois atingir membros. Como aparecem em surtos sucessivos, é possível verificar sítios onde as lesões já estejam em crosta, enquanto outros locais apresentam as vesículas.','Em adolescentes e adultos, as lesões podem ser precedidas de febre baixa, cefaleia, anorexia e vômito, podendo durar de horas até 3 dias, mas em crianças o exantema costuma ser o primeiro sinal da doença. O curso clínico tem duração de 7 a 10 dias e, após esse período, o vírus fica latente no organismo.','Na idade adulta, o VZV pode ser reativado quando as pessoas apresentam idade avançada (quando os títulos de anticorpos diminuem), estados de imunossupressão, uso de drogas citotóxicas, e devido à radiação, em pessoas que com tumores malignos e abuso de álcool, entre outros.','A reativação do vírus é conhecida como herpes-zóster e, clinicamente, comporta-se de forma semelhante à varicela, mas limita-se ao trajeto de um nervo, respeitando a linha média. A dor é uma sintomatologia importante e invariavelmente requer manejo medicamentoso.']} />

          <p><u><strong>Diagnóstico e Tratamento</strong></u></p>

          <p>O diagnóstico da varicela e do herpes-zóster é clinico<Ref Id="1"/><sup>,</sup><Ref Id="2"/>. A varicela é tratada sintomaticamente, ou seja, com a administração de analgésicos para a cefaleia, de antitérmicos para controlar a febre e de anti-histamínicos para aliviar o prurido. No herpes-zóster, o indivíduo deve ser medicado com antivirais sistêmicos e analgésicos para controlar a dor<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>

          <CaixaCascata Title={'Prognóstico'} Content={<p>Como a varicela é autolimitante, o prognóstico costuma ser muito positivo. Contudo, o herpes-zóster pode levar a quadros de neuralgia pós-herpética, tendo o indivíduo que tratar a dor durante meses<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>} />

        </div>
      </StyledDiv>
    )
  }
}
export default Page
