import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import Accordion from '../components/Accordion'
import Tooltip from '../components/Tooltip'
import CaixaColorida from '../components/CaixaColorida'


// Styling
const StyledDiv = styled.div`
.makeStyles-content-3 {
  margin-bottom: -1vh;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Vírus Epstein–Barr - EBV</h2>
        <div className='page'>

          <p>O EBV é o agente etiológico da mononucleose infecciosa, da leucoplasia pilosa, de alguns tipos de tumores malignos (alguns linfomas, carcinoma nasofaríngeo) e de doenças linfoproliferativas<Ref Id="1"/><sup>,</sup><Ref Id="2"/>. <strong>Clique</strong> nas abas abaixo e saiba mais sobre a epidemiologia e a transmissão do EBV:</p>

          <Accordion Content={[{ content: <p>Não há dados sobre a incidência da transmissão do EBV ou das doenças relacionadas a ele no Brasil. Estima-se que 95% da população esteja infectada por esse vírus<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>, header: 'Epidemiologia' }, { content: <p>A transmissão acontece por contato direto com a saliva infectada e pode ocorrer na infância, adolescência ou vida adulta. As crianças geralmente se infectam por volta dos 3 anos de idade, através da saliva de outras crianças presente em dedos, comidas, brinquedos e outros objetos. Os adolescentes e adultos jovens se infectam pela transferência direta de saliva entre eles (beijo, por exemplo). Além disso, o contato direto com sangue contaminado e relações sexuais também podem ser fonte de infecção pelo EBV<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>, header: 'Contágio/transmissão' }]} />

          <p><u><strong>Curso clínico e manifestações bucais</strong></u></p>

          <p>Quando a transmissão do EBV ocorre na infância, a infecção é geralmente assintomática, sendo que a maioria das infecções sintomáticas ocorre nos adultos. Em crianças com menos de 4 anos de idade, os sintomas clínicos incluem febre, linfadenopatia, faringite, hepatoesplenomegalia, rinite ou tosse. Crianças com mais de 4 anos apresentam incidência menor de hepatoesplenomegalia, rinite e tosse.</p>

          <CaixaColorida Content={[<p>Na mononucleose clássica, que atinge adultos jovens, são evidenciados <Tooltip Content={<p><strong>sinais prodrômicos</strong></p>} Side={'top'} Title={'fadiga, mal-estar e anorexia'} /> cerca de duas semanas antes do aparecimento de <Tooltip Content={<p><strong>febre</strong></p>} Side={'top'} Title={'que persiste de 2 a 14 dias'} />. O quadro clínico é composto por linfadenopatia cervical evidente, aumento do volume dos tecidos linfoides da parótida e aumento do volume das amígdalas, que podem apresentar exsudato purulento.</p>]} />

        </div>
      </StyledDiv>
    )
  }
}
export default Page
