import React from 'react'
import styled from 'styled-components'
import CaixaTextoSlider from '../components/CaixaTextoSlider'
import CaixaTabs from '../components/CaixaTabs'
import ImagemZoom from '../components/ImagemZoom'
import Ref from '../components/Ref'


import img1 from './media/images/pag12_img1.png'


// Styling
const StyledDiv = styled.div`
.tamanho4 {
  width: 22vh;
  margin-left: 18vh;
}
.tamanho5 {
  width: 68.8%;
}
.meio {
  vertical-align: middle;
  margin-right: -34vh;
  margin-left: -19vh;
}

@media (max-width: 100vh){
.meio {
  margin-right: 0vh;
  margin-left: 0vh;
  position: relative !important;
}
.tamanho4 {
  width: 40vh;
  margin-left: 0vh;
  margin-right: 0vh;
  }
  .tamanho5{
    width:100%;
  }
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Vírus Epstein–Barr - EBV</h2>
        <div className='page'>

          <p><u><strong>Curso clínico e manifestações bucais</strong></u></p>

          <p>As lesões em boca restringem-se a petéquias que podem ser vistas em palato mole ou palato duro. A doença regride após um período de 2 a 6 semanas e o vírus fica latente em linfócitos B durante toda a vida. <strong>Clique</strong> nas setas e conheça mais detalhes sobre a transmissão do EBV:</p>

          <CaixaTextoSlider DialogContent={['A transmissão do EBV é caracterizada pela replicação lítica do vírus na orofaringe causando expansão dos linfócitos B nos tecidos linfoides e no sangue. Ainda que a proliferação de células B e a replicação viral sejam controladas pela resposta de células T CD8+ e mantidas em um nível subclínico, em situações de imunodepressão, o vírus escapa dessas defesas e consegue se proliferar.','Em indivíduos cuja função das células T está comprometida, aumentos de carga viral do EBV são detectados e podem estar vinculados ao desenvolvimento de outras doenças (leucoplasia pilosa, carcinoma nasofaríngeo, linfomas e doenças linfoproliferativas).']} />

          <div className="grid-row centro">
              <div className="tamanho5 meio">
                <p>Cabe lembrar que a infecção pelo EBV é comum, mas o desenvolvimento de malignidades associadas ao vírus é raro e a leucoplasia pilosa está intimamente relacionada à imunodepressão causada pelo HIV<Ref Id="1"/><sup>,</sup><Ref Id="2"/>. <strong>Clique</strong> na imagem ao lado para ampliar e perceba as características do EBV.</p>

              </div>
              <div className="tamanho4">
                <ImagemZoom src={img1} />
              </div>
          </div>

          <CaixaTabs Content={[
            { header: 'Diagnóstico', content: [<p>O diagnóstico é feito através das características clínicas e de sorologia específica<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>] },
            { header: 'Tratamento', content: [<p>A mononucleose não requer tratamento específico já que é autolimitante, mas os sintomas podem ser tratados<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>] },
            { header: 'Prognóstico', content: ['A mononucleose infecciosa tem bom prognóstico.'] }

          ]} />

        </div>
      </StyledDiv>
    )
  }
}
export default Page
