import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import CaixaCards from '../components/CaixaCards'
import CaixaContorno from '../components/CaixaContorno'
import ModalBtn from '../components/ModalBtn'

// Styling
const StyledDiv = styled.div`
   .card {
    height: 8vh !important;
   }
   .card .title span {
    font-size: 5vh !important;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Citomegalovírus - CMV</h2>
        <div className='page'>
          
          <p>O Citomegalovírus (CMV) é o agente etiológico da doença de inclusão citomegálica. <strong>Clique</strong> nos cards abaixo e saiba mais sobre a doença<Ref Id="1"/><sup>,</sup><Ref Id="2"/>:</p>

          <CaixaCards title={['Contágio/transmissão', 'Epidemiologia','Curso clínico e manifestações bucais']} content={[<p>Nos bebês, o vírus é transmitido através da placenta, durante o parto ou na amamentação. Na adolescência, é transmitido através do contato íntimo (saliva ou fluídos sexuais). Também pode ser transmitido por transfusão ou transplante de órgãos.</p>, <p>Não há dados sobre a incidência da transmissão do CMV ou das doenças associadas a ele no Brasil. Estima-se que a prevalência do CMV neonatal seja entre 0,5% e 2,5%, o equivalente a 40% na população com 30 anos, e de 80 a 100% aos 60 anos de idade.</p>,<p>Geralmente, somente neonatos ou adultos imunodeprimidos apresentam manifestações clínicas evidentes da infecção pelo CMV. As crianças recém-nascidas, que se infectaram antes do nascimento, apresentam a doença clinicamente evidente, com hepatoesplenomegalia, eritropoiese cutânea extramedular, trombocitopenia e, frequentemente, encefalite, que leva a retardo mental e motor.</p>]} />

          <p>No adulto, após a transmissão, 90% das pessoas mantém-se assintomáticas, mas, em alguns adultos imunocompetentes, a infecção primária pelo CMV pode apresentar sinais e sintomas semelhantes aos da mononucleose infecciosa, sendo a faringite e a linfadenopatia menos comuns. A maioria apresenta dores musculares, febre, mal-estar, alterações na função hepática e linfócitos periféricos atípicos.</p>

          <CaixaContorno Content={[<p>Em indivíduos imunodeprimidos, como os transplantados, a clínica é mais exuberante e pode ser mais agressiva com a presença de dano hepático evidente, leucopenia, pneumonia e síndrome consumptiva progressiva. O CMV, em pessoas imunodeprimidas, também pode causar manifestações bucais na forma de ulcerações mucosas crônicas<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>]} />

          <ModalBtn BtnType='saibamais' BtnText='PARA SABER MAIS' ModalTitle='Para Saber Mais' ModalContent={['A despeito dos avanços nas técnicas de diagnóstico da infecção fetal pelo CMV, não há, até o momento, nenhuma modalidade de tratamento materno que previna ou reduza a chance de ocorrência de doença fetal e que tenha sido aprovada para uso. Para saber mais sobre a infecção pelo CMV na gestação e suas consequências, acesse: ',<a href="https://aps.bvs.br/aps/qual-a-conduta-em-casos-de-citomegalovirus-na-gestacao-quais-as-repercussoes-da-infeccao-para-a-gestante-e-o-bebe/" target="_blank"><strong>“Qual a conduta em casos de citomegalovírus na gestação? Quais as repercussões da infecção para a gestante e o bebê?”</strong></a>,'']} Id='1' />

        </div>
      </StyledDiv>
    )
  }
}
export default Page
