import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import ImagemZoom from '../components/ImagemZoom'
import CaixaSombreada from '../components/CaixaSombreada'

import img1 from './media/images/pag14_img1.png'


// Styling
const StyledDiv = styled.div`
.tamanho4 {
  width: 50vh;
}

@media (max-width: 100vh){
.tamanho4 {
  width: 40vh;
  }
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Citomegalovírus - CMV</h2>
        <div className='page'>
         
          <p>O diagnóstico do CMV pode ser feito por sorologia ou por biópsia nas lesões bucais presentes em pacientes imunodeprimidos. <strong>Clique</strong> na imagem abaixo para observar as características da infecção<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>

          <div className="grid-row centro">
            <div className="tamanho4">
                  <ImagemZoom src={img1} />
            </div>
          </div>

          <p><u><strong>Tratamento</strong></u></p>

          <p>A maioria dos quadros clínicos de infecção pelo CMV regride sozinho, mas os quadros graves (em pacientes imunodeprimidos) podem ser tratados com antivirais como o <strong>Ganciclovir</strong><Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>

          <CaixaSombreada Content={['O prognóstico depende da extensão do dano causado.']} />

        </div>
      </StyledDiv>
    )
  }
}
export default Page
