import React from 'react'
import styled from 'styled-components'
import CaixaColorida from '../components/CaixaColorida'
import ListaAnimada from '../components/ListaAnimada'
import Ref from '../components/Ref'

import img1 from './media/images/pag3_img1.png'



// Styling
const StyledDiv = styled.div`
.tamanho6 {
  margin-left: -6vh;
}
img {
  margin-left: 6vh;
}
      
  `

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
      // Page content
      <StyledDiv className='content'>
        <h2>Herpesvírus Humanos</h2>
        <div className='page'>
          <p>A família dos Herpesvírus Humanos também é conhecida por seu nome em inglês “human herpervirus”, que origina o acrônimo HHV, com o qual são nomeados seus subtipos, seguidos de um número em algarismo arábico (1, 2, 3 etc.). Alguns subtipos também apresentam outros nomes, que talvez sejam os mais conhecidos e reconhecidos pela literatura<Ref Id="1"/><sup>,</sup><Ref Id="2"/><sup>,</sup><Ref Id="3"/>.</p>

          <CaixaColorida Content='Os herpesvírus são transmitidos, geralmente, durante a infância, e permanecem infectando o organismo durante toda a vida.' />

          <p>A principal característica desses vírus é justamente a capacidade de ficar latente no organismo humano, podendo ser reativados quando o organismo é exposto a estados de estresse e imunodepressão.</p>

          <p>Podem ser identificadas três subfamílias<Ref Id="1"/><sup>,</sup><Ref Id="2"/>:</p>

          <div class="grid-row centro">
            <div class="tamanho6 meio">
              <ListaAnimada ListContent={[<p><i>Betaherpesvirinae</i> (estabelece latência em leucócitos);</p>, <p><i>Gammaherpesvirinae</i> (latência em linfócitos B);</p>, <p><i>Alphaherpesvirinae</i> (latência em gânglios nervosos).</p>]} />
            </div>
            <div class="tamanho3 meio">
                <div><img src={img1} alt=""/></div>
            </div>
          </div>

          <p>Os vírus da subfamília <i>Alphaherpesvirinae</i> produzem uma primoinfecção aguda seguida por estabelecimento de infecção latente em gânglios sensitivos, com períodos de recidiva durante toda a vida<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>

        </div>
      </StyledDiv>
    )
  }
}
export default Page
