import React from 'react'
import styled from 'styled-components'
import BtnAnimado from '../components/BtnAnimado'
import $ from 'jquery'

import img1 from './media/images/pag4_img1.png'
import img2 from './media/images/pag4_img2.png'
import img3 from './media/images/pag4_img3.png'

// Styling
const StyledDiv = styled.div`
#obj7{
  margin-bottom: 10%;
  margin-left: 6%;
}
#obj8{
  margin-bottom: 10%;
  margin-left: 6%;
}
#obj9{
  margin-bottom: 10%;
  margin-left: 6%;
}
.tamanho4{
  width: 97vh;
  position: relative !important;
} 
.tamanho1 {
  width: 20%;
  margin-right: 10vh;
  margin-bottom: -2vh;
}
.botao-animado {
  background-color: #73b722;
  color: #000000;
  font-size: 1vh;
  cursor: pointer;
  display:flex;
  align-items: center;
  justify-content: center;
  width: 26vh;
  height: 5.8vh;
}
.objSelect{
  cursor: pointer;
}
.botao-animado span{
  font-weight: bold;
  font-size: 0.8rem;
}
.botao-animado:after{
  font-weight: bold;
  font-size: 1.3rem !important;
}
@media (max-width: 900px){
.tamanho1 {
  width: 12vh;
  margin-left: 5vh;
  position: relative !important;
}
.tamanho4{
  width: 42vh;
  position: relative !important;
}
.botao-animado {
  width: 19vh;
  margin-bottom: 4vh;
  margin-left: -2vh;
}
.botao-animado span{
  font-size: 0.6rem;
  }
}
@media (max-width: 569px){
.botao-animado {
    width: 22vh;
  }
.botao-animado span{
    font-size: 0.6rem;
  }
}
@media only screen and (min-height: 1024px){
.tamanho4{
  width: 58vh;
  position: relative !important;
}
.botao-animado span {
  font-size: 1.2rem;
}
.botao-animado {
  width: 19vh;
}
.tamanho1 {
  width: 12vh;
  margin-bottom: 0vh;
}
}

`

// Page
class Page extends React.Component {
  componentDidMount () {
    // Animation obj/txt Select
    var objSelect = $(".objSelect");
    var txtSelect = $(".txtSelect");

    function disableObj(event) {
      $(event).css({"opacity":"0.5"});
    }
    function enableObj(event) {
      $(event).css({"opacity":"1"});
      disableObj($(objSelect).not(event));
    }
    function clearText(event) {
      $(txtSelect).not(event).hide();
    }
    function showText(event) {
      var data = $(event).attr("data-select");
      $(data).show("fade");
      clearText($(data));
    }

    txtSelect.hide();
    disableObj(objSelect);
    enableObj(objSelect.first());
    showText(objSelect.first());
    objSelect.click(function() {
      showText(this);
      enableObj(this);
    });
  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Herpesvírus Humanos</h2>
        <div className='page'>
          <p><strong>Clique</strong> em cada subfamília do vírus e verifique por quantos subtipos está composta a família dos herpesvírus, quais os nomes relativos a cada um desses subtipos e quais são as doenças causadas por eles.</p>

          <div className="grid-row centro">
                    <div className="tamanho1 meio" >
                        <div className="objSelect" id="obj7" data-select="#area1">
                            <BtnAnimado dataText="1" content="ALPHAHERPESVIRINAE" />
                        </div>
                    </div>
                    <div className="tamanho1 meio" >
                        <div className="objSelect" id="obj8" data-select="#area2">
                            <BtnAnimado dataText="2" content="GAMMAHERPESVIRINAE" />
                        </div>
                    </div>
                    <div className="tamanho1 meio" >
                        <div className="objSelect" id="obj9" data-select="#area3">
                            <BtnAnimado dataText="3" content="BETAHERPESVIRINAE" />
                        </div>
                    </div>
          </div>

          <div className="grid-row centro">
                 <div className="txtSelect" id="area1">
                    <div className="tamanho4">
                        <img src={img1}/>
                    </div>
                 </div>
                 <div className="txtSelect" id="area2">
                    <div className="tamanho4">
                        <img src={img2}/>
                    </div>
                 </div>
                 <div className="txtSelect" id="area3">
                    <div className="tamanho4">
                        <img src={img3}/>
                    </div>
                 </div>
                   
          </div>

          

        </div>
      </StyledDiv>
    )
  }
}
export default Page
