import React from 'react'
import styled from 'styled-components'
import CaixaDestaqueSimples from '../components/CaixaDestaqueSimples'
import ImagemZoom from '../components/ImagemZoom'
import ModalBtn from '../components/ModalBtn'
import Ref from '../components/Ref'

import img1 from './media/images/pag6_img1.png'

// Styling
const StyledDiv = styled.div`
.tamanho4{
  width: 84.9%;
}
.tamanho3 {
  width: 38vh;
  /* margin-right: 40vh;
  margin-left: -6vh; */
}
.meio {
  vertical-align: middle;
  /* margin-left: -44vh;
  margin-top: 3vh;
  margin-right: -12vh; */
}
/* .caixa .botao {
  margin-right: 14vh;
} */
@media (max-width: 100vh){
.meio {
  margin-left: 0vh;
  margin-right: 0vh;
  position: relative !important;
}
.tamanho3 {
  width: 40vh;
  margin-right: 0vh;
  margin-left: 0vh;
  }
  .tamanho6 {
    width:100%;
  }
/* .caixa .botao {
  margin-right: 0vh;
  position: relative !important;
} */
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Vírus do Herpes Simples - HSV</h2>
        <div className='page'>

          <p><u><strong>Curso clínico e manifestações bucais</strong></u></p>

          <p>Após a inoculação do vírus, 90% das crianças permanecem assintomáticas (ainda que estejam infectadas), e 10% desenvolvem a primoinfecção herpética (ou herpes simples primário), apresentando lesões clínicas que, geralmente, são precedidas de febre, mal-estar, inapetência, linfadenopatia e cefaleia.</p>

          <CaixaDestaqueSimples Content='As lesões orais e periorais iniciam-se como vesículas que se coalescem formando bolhas. As bolhas se rompem deixando um leito ulcerado que é paulatinamente reparado pelo organismo em um período de 7 a 14 dias.' />

          <p>O termo Estomatite Herpética Primária é utilizado quando as lesões atingem a região intraoral e o termo Gengivoestomatite Herpética Primária é utilizado quando as lesões atingem gengiva<Ref Id="1"/><sup>,</sup><Ref Id="2"/><sup>,</sup><Ref Id="3"/>.</p>

          <div className="grid-row centro">
            <div className="tamanho3">
              <ImagemZoom src={img1} />
            </div>
              <div className="tamanho6 meio">
              <p>Após a primoinfecção, o vírus entra em latência durante alguns anos, sendo reativado, geralmente, na adolescência. A reativação é denominada de estomatite herpética secundária ou herpes simples secundária<Ref Id="1"/><sup>,</sup><Ref Id="2"/><sup>,</sup><Ref Id="3"/>.</p>
              
            </div>
          </div>
          <ModalBtn BtnType='importante' BtnText='IMPORTANTE' ModalTitle='Importante' ModalContent={['O líquido das vesículas e bolhas é extremamente infectante por ser rico em vírus.']} Id='1' />
          
          
          
        </div>
      </StyledDiv>
    )
  }
}
export default Page
