import React from 'react'
import styled from 'styled-components'
import CaixaCascata from '../components/CaixaCascata'
import CaixaSombreada from '../components/CaixaSombreada'
import CaixaIcone from '../components/CaixaIcone'
import Ref from '../components/Ref'


// Styling
const StyledDiv = styled.div`
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Vírus do Herpes Simples - HSV</h2>
        <div className='page'>
          
          <p><u><strong>Curso clínico e manifestações bucais</strong></u></p>

          <p>As lesões são idênticas às apresentadas na primoinfecção, mas atingem porções menores da pele e, geralmente, restringem-se à região perioral. Após o primeiro surto de herpes simples secundária, as reativações do vírus acontecerão de forma periódica com intervalos muito menores que o que se estabeleceu entre as manifestações primária e secundária.</p>

          <CaixaSombreada Content='Os surtos de reativação do vírus estão vinculados à presença de fatores desencadeantes ou predisponentes (febre, estresse, alterações hormonais etc.) e são precedidos de sinais prodrômicos (ardência, vermelhidão, prurido etc.) minutos ou poucas horas antes de eclodirem as vesículas.' />

          <p>Após a cura clínica, o vírus entrará em novo período de latência, sendo novamente reativado quando algum fator predisponente desencadear o processo novamente<Ref Id="1"/><sup>,</sup><Ref Id="2"/><sup>,</sup><Ref Id="3"/>.</p>

          <CaixaCascata Title={'Diagnóstico'} Content={<p>O diagnóstico do herpes simples (primário ou secundário) pode ser clínico (através da identificação das características clínicas) ou pode ser feito através de exames complementares, como citologia esfoliativa, biópsia incisional ou sorologia<Ref Id="1"/><sup>,</sup><Ref Id="2"/><sup>,</sup><Ref Id="3"/>.</p>} />

          <CaixaIcone title='IMPORTANTE' Content={<p>Os exames complementares somente serão necessários quando as características clínicas não são usuais<Ref Id="1"/><sup>,</sup><Ref Id="2"/><sup>,</sup><Ref Id="3"/>.</p>} type='importante' />
          

        </div>
      </StyledDiv>
    )
  }
}
export default Page
