import React from 'react'
import styled from 'styled-components'
import CaixaContorno from '../components/CaixaContorno'
import Ref from '../components/Ref'
import CaixaIcone from '../components/CaixaIcone'

// Styling
const StyledDiv = styled.div`
    
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Vírus do Herpes Simples - HSV</h2>
        <div className='page'>
          <p><u><strong>Tratamento</strong></u></p>

          <p>Por ser uma doença autolimitante (evolui para cura espontaneamente), não é necessário instituir tratamento. No entanto, alguns profissionais salientam os efeitos benéficos do uso da pomada de Aciclovir na fase prodrômica, para evitar a eclosão das vesículas ou diminuir sua intensidade.</p>

          <CaixaContorno Content={<p>Na herpes simples primária, podem ser utilizadas medicações para tratar a sintomatologia. Tratamentos sistêmicos devem ser avaliados e executados em situações específicas por profissionais experientes<Ref Id="1"/><sup>,</sup><Ref Id="2"/><sup>,</sup><Ref Id="3"/>.</p>} />

          <p><u><strong>Prognóstico</strong></u></p>

          <p>Ainda que a infecção pelo vírus do herpes simples não tenha cura, as lesões orais e periorais têm um excelente prognóstico, curando-se espontaneamente e não deixando sequelas<Ref Id="1"/><sup>,</sup><Ref Id="2"/><sup>,</sup><Ref Id="3"/>.</p>

          <CaixaIcone title='IMPORTANTE' Content={<p>Os usuários portadores do herpes simples no lábio e na mucosa bucal interna que se apresentam para o tratamento odontológico com vesículas e bolhas preservadas têm no conteúdo dessas lesões milhões de vírus infectantes. Nesses casos, o atendimento odontológico deve ser adiado se não constituir uma urgência ou emergência, pois – ao se manipular os tecidos moles durante procedimentos odontológicos – pode-se romper as vesículas e bolhas herpéticas, escorrendo o líquido para outras áreas. Além disso, ocorre o aumento do risco de contaminação do profissional e do pessoal auxiliar, e também de instrumentos, sugadores, peças de mão etc. Nas situações em que a intervenção do profissional se faz necessária, deve-se realizar os procedimentos-padrão de assepsia, esterilização, desinfecção e antissepsia<Ref Id="4"/>.</p>} type='importante' />

        </div>
      </StyledDiv>
    )
  }
}
export default Page
