import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import Tooltip from '../components/Tooltip'
import Accordion from '../components/Accordion'
import ImagemZoom from '../components/ImagemZoom'

import img1 from './media/images/pag9_img1.png'

// Styling
const StyledDiv = styled.div`
.makeStyles-content-3 {
  margin-bottom: -1vh;
}
.tamanho4 {
  width: 20vh;
  margin-left: 18vh;
  margin-right: vh;
}
.meio {
  vertical-align: middle;
  margin-right: -33vh;
  margin-top: 3vh;
  margin-left: -18vh;
}

@media (max-width: 100vh){
.meio {
  margin-right: 0vh;
  margin-left: 0vh;
  position: relative !important;
}
.tamanho4 {
  width: 40vh;
  margin-left: 0vh;
  margin-right: 0vh;
  }
 .tamanho5 {
   width: 100%;
 } 
}
   
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Vírus Varicela-Zóster - VZV</h2>
        <div className='page'>

          <p>O vírus (VZV) é o agente etiológico da varicela e do herpes-zóster, popularmente chamado de “cobreiro”. A varicela aparece no primeiro contato com o vírus. Após a cura clínica, o vírus fica latente no organismo, podendo ser reativado na idade adulta. A reativação do vírus causa a doença conhecida como herpes-zóster<Ref Id="1"/><sup>,</sup><Ref Id="2"/>. <strong>Clique</strong> nas abas abaixo e conheça a epidemiologia das doenças causadas pelo vírus e sua transmissão e contágio:</p>

          <Accordion Content={[{ content: <p>Não há dados sobre a incidência da varicela e do herpes-zóster no Brasil. Apenas os casos de varicela que sejam <Tooltip Content={<p><strong>graves</strong></p>} Side={'right'} Title={'internados em hospital'} /> ou de óbito são de notificação compulsória. Estima-se que mais de 90% da população tenha sido infectada por volta dos 15 anos de idade, e que o herpes-zóster ocorra em 10 a 20% das pessoas que tiveram varicela<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>, header: 'Epidemiologia' }, { content: <p>A maioria dos casos de varicela surge entre os 5 e 9 anos de idade. A transmissão do VZV ocorre por contato direto com o líquido da bolha ou com secreções respiratórias ou através da inalação dos micro-organismos em gotículas de secreções respiratórias (ao tossir, ao espirrar). O vírus começa a ser transmitido dois dias antes do aparecimento das lesões, mas deixa de ser transmitido assim que aparecem as crostas (aproximadamente 6 dias após a eclosão das vesículas)<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>, header: 'Contágio e Transmissão' }]} />

          <div className="grid-row centro">
              <div className="tamanho7 meio">
                <p><u><strong>Curso clínico e manifestações bucais</strong></u></p>

                <p>Após a transmissão, o vírus passa por um período de incubação de 10 a 21 dias, ao qual se segue o início da eclosão das lesões, que afetam preferencialmente a pele sendo pouco frequentes em mucosas. As lesões apresentam-se como manchas avermelhadas das quais levantam-se vesículas e bolhas que posteriormente estouram, deixando um leito ulcerado que termina por ser recoberto por crosta<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</p>
              </div>
              <div className="tamanho4">
                <ImagemZoom src={img1} />
              </div>
          </div>

        </div>
      </StyledDiv>
    )
  }
}
export default Page
